#%RAML 1.0 Library
type: object
displayName: Novo equipamento
description: Dados para criação de um novo equipamento
properties: 
    chassiSerie: 
        type: string 
        description: É o identificador primário do equipamento. Recomendamos o uso de chassi ou número de série.
    tagFrota:
        type: string
        description: É um identificador secundário do equipamento.
        required: false
    codigoExterno:
        required: false
        type: string
        description: Id do equipamento no sistema do cliente. Utilize este campo para relacionar o equipamento no sistema S360 e no seu sistema.
    idObra:
        required: false
        type: integer
        description: Id da obra no sistema S360 no qual este equipamento está alocado. Utilize o endpoint de listagem de obras para identificar qual id utilizar.
    area:
        type: string
        description: Área onde o equipamento se encontra. É um campo informacional.
        required: false
    setor:
        type: string
        description: Setor onde o equipamento se encontra. É um campo informacional.
        required: false
    metricaControle:
        type: string
        description: Define qual será a unidade de medida para controlar o ciclo de vida do equipamento.
        enum: [ HORA , KILOMETRO , PERIODO ]
    tamanhoAtual:
        type: integer
        description: Informa qual é horímetro ou quilômetro ou período atual do equipamento. Importante para percepção de desgaste do mesmo.
    idFabricanteEquipamento:
        type: integer
        description: Id do fabricante do equipamento. Utilize o endpoint de listagem de fabricantes para identificar qual id utilizar.
    idFamiliaEquipamento:
        type: integer
        description: Id do família do óleo. Utilize o endpoint de listagem de familias para identificar qual id utilizar.
    modelo:
        type: string
        description: Texto que descreve o modelo deste equipamento. Importante para correta identificação do equipamento e suas características.
